From 7476960c2b4b3b490c5e70b69d6d8a530128b58b Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Jul 08 2023 05:19:22 +0000
Subject: [PATCH 5/32] libre/iceweasel: 115.0-1.parabola1


---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index ecc4fbc..0e3955e 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -70,10 +70,10 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=114.0
+pkgver=115.0
 pkgrel=1
 pkgrel+=.parabola1
-_brandingver=112.0
+_brandingver=115.0
 _brandingrel=1
 pkgdesc="Standalone web browser derived from Mozilla Firefox"
 url=https://wiki.parabola.nu/Iceweasel
@@ -179,15 +179,15 @@ validpgpkeys+=(
   'BFA8008A8265677063B11BF47171986E4B745536' # Andreas Grapentin
   '3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40' # bill-auger
 )
-sha256sums=('d23a0502742f52110ce496837ba82b47bf38d40585633787508ae5be9a5b4bc6'
+sha256sums=('7cdb23fe5ccb54334c8fe14c1e5dd89d5788f8e7b79a2bd9cc4eabdc7e54e898'
             'SKIP'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58')
-sha256sums+=('a44dc1e9f2d508203d1cacc2b5bb212c73eb04311da9a036560ff389d7b8e9e6'
+sha256sums+=('8df4cc8dab42268323594efd07697511746f21c006f1724b564b00fe8c5ac798'
              'SKIP'
-             '5c698551b1170e4bbf6e079c82ff0ccdc5266d87678b0653623dea5ec124d09a'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+             'e90da1ee4fed83e8e40898f5f87b3f1534af50e253409539cd4b4635e14800eb'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
              '131acdeff2af06c07f245717cd7cb898291f4466136f441b7b90acb2ccdade0a'  # 9002-FSDG-preference-defaults.patch
              '13b701372b6fb35b96a1d58853db64643feb9be061ebc461b41ceca5de8eea62'  # 9003-FSDG-urihandlers.patch
-             'f2775f40dec9849b318f290c91f34c608ebbe274044fec9b05a485536e7041c0'  # 9004-FSDG-misc.patch
+             'f01c4bda81b859f400c741ca97fcf945a768a799efe73943f45eb327d717eaa2'  # 9004-FSDG-misc.patch
              '00cb44a91b42942f17258ad165810866ff123777b667a5691ea0745ba72f4332'  # process-json-files.py
              '8e113fd2730be3fd11b2a24918dd62e8741513cf4dce9819d8eae358c5411adc'  # vendor.js.in
              'aa663d899e924f4979114584cad671dad3b93dd9b0dfe28bb1cf11ddf92e6d47') # zstandard-0.21.0.diff
@@ -197,15 +197,15 @@ sha256sums_i686=('2f0c81a38c4578f68f5456b618fe84a78974072821488173eb55e0e72287e3
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06'
                  'c3ce181fbb0142055aa6dd17f3cda2ba6a1e54d7a689a8c6e9cce76aa40e6544')
-b2sums=('09d29112a487bc23c0e54380bf5e6ef5c62639aa53b6cca7c9a61b2452f4ee0e1a1b9f7ca996ddb78b842170fa67be0dc926c17956ab505e42966d443a798f34'
+b2sums=('f5489d96be60f3ed5f5657cb43142a876a7ef2bfe46b2ebb54df2b9be8262ab8c8d3aa342adf84fa68ffe0abc63e3b4671f310e0a3dd4c53c137a612e9e67932'
         'SKIP'
         'f86353bbba05d8994db34c6abb66094aa61d2c37c8599930dbe9d215413f0f718a1ce55a8f2d07a65074c3947e28fc80d44c925bd9be239a870f82d2a1803635')
-b2sums+=('8472a10e5e27cc82f1467dd6592dfee512cd165e39f23ebbb4c8e76bbf6fd8614a4c1f1d91d42046f773eb711f463ece1aa23e1b1882173290529c28b0f3b60a'
+b2sums+=('c45680883ab019e5075214da47adf405c1a857de51df17f7254aa413f7e654d426e83bcd2be84b2260ceedaf98b85cb9d81588eb38b70a0d92686ce4bb152e45'
          'SKIP'
-         '9bd51af60740fcbf31b8387901d73c09dbc2f15ddd98d18f4c90ee909f58c9a8fe032712679c36d0c52358dad34c68b539695fccb019b4c35859673a724c3f72'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+         'ed3eb1c8aba0e6302058a361431b5dd411ff4ff74587c2305279ef30b4d19fae9e8c97c029513a8a091384278a0930a950fb37d9cffc5713de58d1a7e289bf57'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
          'fc2204d183cf8ef133cb94580a92db26356edb069424e751743b2af349f115fb6069f0e3fe860496e05193cb0ca3dcb9aa5869c86d5c96c05a6eaec5242f8a35'  # 9002-FSDG-preference-defaults.patch
          '9e4ccfb8850d9f9a5222f5186b35f2ae7986b6c6d435de024b109a6fa01e65a1362664cfb6ea81621387cf33364cc8d3d466fae1bee24ab5fc7e23c4cb17bf2c'  # 9003-FSDG-urihandlers.patch
-         '7ce9bd437d2877545f71a2f258b94f4c3e4107dbb65957ea544b2ae915dd2f783ea1473354608097425e5245d76ea51c8993ddeffebd6aeca6e23711415bbf93'  # 9004-FSDG-misc.patch
+         '2213f136bb3c66baed52bbff1c09f3d883c5e9bb0b06d9d0777ad718fcd55ce68a5f512d4cca796de78d254aba1078d0d254070e79275571e3d94aacbbb8556f'  # 9004-FSDG-misc.patch
          '085c4631ec8cfdf5842068d882185c783e976b1fde74167bb71ef4d7db8c70c12844177b17e76f858ba3ce2a402848ac8fc19910dcbefd29887abfaf5faac5e4'  # process-json-files.py
          '5302b6abcfec3155c578e0664e6a0ac921234c5912d74c4a9b0feb3a051ed4ef5f11b93ee37739a3a92fc6693683374f92ac9c3f560780f879c4249d0718157a'  # vendor.js.in
          '2e568bb28f23f0f9225ca68a5084e3e835f6bd15046eea9d615d3462146da649c1b6b7439b4d768759bda2658d54ca73c9b3479e5e0b6d7a58822664dbe45aa2') # zstandard-0.21.0.diff
@@ -831,6 +831,9 @@ pref("browser.shell.checkDefaultBrowser", false);
 
 // Don't disable extensions in the application directory
 pref("extensions.autoDisableScopes", 11);
+
+// Enable GNOME Shell search provider
+pref("browser.gnome-search-provider.enabled", true);
 END
 
   # Parabola additions to vendor.js
@@ -905,6 +908,15 @@ END
     ln -srfv "$pkgdir/usr/lib/libnssckbi.so" "$nssckbi"
   fi
 
+  local sprovider="$pkgdir/usr/share/gnome-shell/search-providers/$pkgname.search-provider.ini"
+  install -Dvm644 /dev/stdin "$sprovider" <<END
+[Shell Search Provider]
+DesktopId=$pkgname.desktop
+BusName=org.mozilla.${pkgname//-/}.SearchProvider
+ObjectPath=/org/mozilla/${pkgname//-/}/SearchProvider
+Version=2
+END
+
   # export SOCORRO_SYMBOL_UPLOAD_TOKEN_FILE="$startdir/.crash-stats-api.token" # anti-feature
   # if [[ -f $SOCORRO_SYMBOL_UPLOAD_TOKEN_FILE ]]; then                        # anti-feature
   #   make -C obj uploadsymbols                                                # anti-feature

